nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IMediaContext Class Referenceabstract

`#include <i_media_context.h>`

Inheritance diagram for nx::sdk::analytics::IMediaContext:

## Public Member Functions
virtual const char * | extradata () const =0
virtual int | extradataSize () const =0
Public Member Functions inherited from nx::sdk::Interface< IMediaContext >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IMediaContext >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Codec context for encoding/decoding.

## Member Function Documentation

## ◆ extradata()

virtual const char* nx::sdk::analytics::IMediaContext::extradata | ( |  | ) | const
| pure virtual

Returns
  Pointer to the codec-specific blob of extradata, or null if no extradata is available.

## ◆ extradataSize()

virtual int nx::sdk::analytics::IMediaContext::extradataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the data returned by the extradata(), in bytes.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_media_context.h